<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:ignore="MissingDefaultResource">

    <SurfaceView
        android:id="@+id/preview_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content" />

    <com.uuzuche.lib_zxing.view.ViewfinderView
        android:id="@+id/viewfinder_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:inner_corner_color="@color/white"
        app:inner_corner_length="30dp"
        app:inner_corner_width="5dp"
        app:inner_height="255dp"
        app:inner_margintop="180dp"
        app:inner_scan_bitmap="@null"
        app:inner_scan_iscircle="false"
        app:inner_scan_speed="20"
        app:inner_width="255dp" />

    <TextView
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="453dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:text="请对准需要识别的二维码。"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_16" />
</FrameLayout>